/*
 * SM_ModuleHeuristicFactory.java
 *
 * Created on 11 November 2015
 *
 * Version 1.1
 *
 * Copyright (c) Kieran Greer
 */

package org.licas.ai.solver;


import org.licas.ai_solver.ModuleHeuristicFactory;
import org.jlog2.*;


/**
 * This solver factory is read automatically by the GUI when loaded, to store a
 * pre-programmed script of the services it provides.
 * @author Kieran Greer.
 */
public class SM_ModuleHeuristicFactory extends ModuleHeuristicFactory
{
    /** The logger */
    private static Logger logger;
    
    
    static
    {
        try
        {
            // get the logger
            logger = LoggerHandler.getLogger(SM_ModuleHeuristicFactory.class.getName());
            logger.setDebug(false);
        }
        catch (Exception ex) {}
    }

    /**
     * Create a new instance of SM_ModuleHeuristicFactory.
     */
    public SM_ModuleHeuristicFactory()
    {
        super();
        
        heuristicClassif = new SM_HeuristicClassification(heuristicModules);
        heuristicMetric = new SM_HeuristicMetrics(heuristicClassif, heuristicModules);
        
    } 
}
