/*
 * SM_ModuleSolverFactory.java
 *
 * Created on 11 November 2015
 *
 * Version 1.1
 *
 * Copyright (c) Kieran Greer
 */

package org.licas.ai.solver;


import org.licas.ai_solver.ModuleSolverFactory;
import org.licas.PasswordHandler;

import org.jlog2.*;


/**
 * This solver factory is read automatically by the GUI when loaded, to store a
 * pre-programmed script of the services it provides.
 * @author Kieran Greer.
 */
public class SM_ModuleSolverFactory extends ModuleSolverFactory
{
    /** The logger */
    private static Logger logger;
    
    
    static
    {
        try
        {
            // get the logger
            logger = LoggerHandler.getLogger(SM_ModuleSolverFactory.class.getName());
            logger.setDebug(false);
        }
        catch (Exception ex) {}
    }

    /**
     * Create a new instance of SM_ModuleSolverFactory.
     * @param thePasswordHandler the main program password handler.
     */
    public SM_ModuleSolverFactory(PasswordHandler thePasswordHandler)
    {
        super(thePasswordHandler);
        
        solverMetric = new SM_SolverMetrics(solverModules);
    }
}
